<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__fll__enums" kind="group">
    <compoundname>group_sysclk_fll_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b" kind="enum" prot="public" static="no">
        <name>cy_en_fll_pll_output_mode_t</name>
        <enumvalue id="group__group__sysclk__fll__enums_1gga777e08424e26c9cd8c2602b2114e716bacd71b0d705fcb6d646c7f439e6de3cf0" prot="public">
          <name>CY_SYSCLK_FLLPLL_OUTPUT_AUTO</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Output FLL/PLL input source when not locked, and FLL/PLL output when locked. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1gga777e08424e26c9cd8c2602b2114e716baafd3f32e2a1e428617dc19089ed05ff2" prot="public">
          <name>CY_SYSCLK_FLLPLL_OUTPUT_AUTO1</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Same as AUTO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1gga777e08424e26c9cd8c2602b2114e716baf2893197c53d0101be01ef926a33528b" prot="public">
          <name>CY_SYSCLK_FLLPLL_OUTPUT_INPUT</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Output FLL/PLL input source regardless of lock status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1gga777e08424e26c9cd8c2602b2114e716baf9198d7cbbee5db8e8c48375125aee74" prot="public">
          <name>CY_SYSCLK_FLLPLL_OUTPUT_OUTPUT</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Output FLL/PLL output regardless of lock status. </para>          </briefdescription>
          <detaileddescription>
<para>This can be dangerous if used to clock clkHf, because FLL/PLL output may be unstable </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_fll_pll_output_mode_t: </bold><linebreak />FLL and PLL output mode.</para></briefdescription>
        <detaileddescription>
<para>See registers CLK_FLL_CONFIG3 and CLK_PLL_CONFIG0, bits BYPASS_SEL. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="900" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="894" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="895" />
      </memberdef>
      <memberdef id="group__group__sysclk__fll__enums_1gac8760ee841ca24255c9a4fee494b79aa" kind="enum" prot="public" static="no">
        <name>cy_en_fll_cco_ranges_t</name>
        <enumvalue id="group__group__sysclk__fll__enums_1ggac8760ee841ca24255c9a4fee494b79aaa0ce4289849ab8334322db55ef632340c" prot="public">
          <name>CY_SYSCLK_FLL_CCO_RANGE0</name>
          <briefdescription>
<para>Target frequency is in range 48 - 64 MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1ggac8760ee841ca24255c9a4fee494b79aaaa6afccaff47c79df8ee4f601a8f3d12c" prot="public">
          <name>CY_SYSCLK_FLL_CCO_RANGE1</name>
          <briefdescription>
<para>Target frequency is in range 64 - 85 MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1ggac8760ee841ca24255c9a4fee494b79aaa8b869d6fc9950701b3664b5c6337dd1b" prot="public">
          <name>CY_SYSCLK_FLL_CCO_RANGE2</name>
          <briefdescription>
<para>Target frequency is in range 85 - 113 MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1ggac8760ee841ca24255c9a4fee494b79aaa785e86a34e2b717687f5004614eecef5" prot="public">
          <name>CY_SYSCLK_FLL_CCO_RANGE3</name>
          <briefdescription>
<para>Target frequency is in range 113 - 150 MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__fll__enums_1ggac8760ee841ca24255c9a4fee494b79aaa6c50c6395080bcf0cc45094a6eaf22b4" prot="public">
          <name>CY_SYSCLK_FLL_CCO_RANGE4</name>
          <briefdescription>
<para>Target frequency is in range 150 - 200 MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_fll_cco_ranges_t: </bold><linebreak />FLL current-controlled oscillator (CCO) frequency ranges.</para></briefdescription>
        <detaileddescription>
<para>See register CLK_FLL_CONFIG4, bits CCO_RANGE. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="913" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="906" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="907" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>